function deleteLines(linesToDelete)
% deleteLines   - delete one or several lines

global Playfield_1P;
global Playfield_Color_1P;
global PF_WIDTH_INT;

% get the number of the lines to delete
nlines = length(linesToDelete);

% initialize a temporary playfield 
temp_playfield = Playfield_1P;

% delete the lines
temp_playfield(linesToDelete, :) = [];

% then copy the deleted playfield back, the top rows filled with zeros
Playfield_1P(:, :) =[zeros(nlines, PF_WIDTH_INT); temp_playfield];

% Do the same thing to the Playfield_Color_1P

temp_playfield = Playfield_Color_1P;
temp_playfield(linesToDelete, :) = [];
Playfield_Color_1P(:, :) =[zeros(nlines, PF_WIDTH_INT); temp_playfield];
