function [filledLines, nLines] = findFilledLines(startLine, endLine)
%findFilledLevels   - find if there are filled lines

global Playfield_1P;
global PF_HEIGHT_INT;

% Initialization
filledLines =[];
nLines = 0;

% if a Line is out of the playfield
if (startLine < 1)
    startLine = 1;
elseif (endLine > PF_HEIGHT_INT)
    endLine = PF_HEIGHT_INT;
end
%     errmsg = sprintf('findFilledLevels(): Out of Bound.\nstartLine = %d, endLine = %d',...
%         startLine, endLine);
%     error(errmsg);
% end

for i = startLine:endLine
    
    % If any gap is found in this line, then proceed to the next line
    if (find(Playfield_1P(i,:)==0, 1))
        continue;
    end
    
    % Append the new line to 'filledLines'
    filledLines = [filledLines i];

    nLines = nLines + 1;
end