function [isABlock blockIndex] = is_a_Fixed_Block(bricksX, bricksY)
% is_a_Fixed_Block  - tells if one or several locations are filled with bricks 

global Playfield_1P;
global SETTLED_BLOCK;

nbricks = length(bricksX);

% If the number of x and y does not match
if nbricks ~= length(bricksY)
    error('out_of_Bound(): the size of bricksX and bricksY does not match.');
end

blockIndex = (Playfield_1P(bricksY, bricksX)==SETTLED_BLOCK);

if any(any(blockIndex))
    isABlock = 1;
else
    isABlock = 0;
end

return;