function [isOutOfBound outIndex] = out_of_Bound(bricksX, bricksY)
% out_of_Bound  - check if a group of blocks are out of playfield

global PF_WIDTH_INT
global PF_HEIGHT_INT

% Get the number of bricks to check
nbricks = length(bricksX);

% If the number of x and y does not match
if nbricks ~= length(bricksY)
    error('out_of_Bound(): the size of bricksX and bricksY does not match.');
end

%
outIndex = find(bricksX < 1 | bricksY < 1);
% outIndex = [outIndex find(bricksX > PF_WIDTH_INT)];
outIndex = [outIndex find(or(bricksX > PF_WIDTH_INT, bricksY > PF_HEIGHT_INT))];

if ~isempty(outIndex)
    isOutOfBound = 1;
    outIndex = sort(outIndex);
else
    isOutOfBound = 0;
end

return;