% test textscroll
global w
global winRect

global CreditsMusicBuffer
global MusicSource
global Graph_Dir
global CreditsScrollingTime
global ResFactor
global AL;
% [w winRect] = Screen('OpenWindow', 0, 0);
% CreditsScrollingTime
scrollSpeed = [30 CreditsScrollingTime-2.5]; % the first element is ignored
textcolor = [255 255 255];

icon1 = imread([Graph_Dir 'Psychogame.png']);
tex1 = Screen('MakeTexture', w, uint8(icon1));


text = {'CREDITS', 'Courier', 40, 200, 0, textcolor;
'Original Concept', 'Helvetica', 24, 30, 0, textcolor;
'Alexey Pajitnov', 'Times New Roman', 32,100,0,textcolor;

'Programming', 'Helvetica', 24, 30, 0,textcolor;
'Mingjing "Matt" Zhang', 'Times New Roman', 32, 100, 0,textcolor;

'Artworks',  'Helvetica', 24, 30, 0,textcolor;
'Mingjing "Matt" Zhang', 'Times New Roman', 32, 100, 0,textcolor;

'Music',            'Helvetica',        24,     30,     0,  textcolor;
'Music Disabled For Silenced Version!',  'Times New Roman', 32, 100, 0, textcolor; 
% 'Opening Theme',    'Times New Roman',  20,     15,     0,  textcolor;
% 'Carrying You (from movie "Laputa: Castle in the Sky")','Times New Roman', 16, 10,0, textcolor;
% 'Joe Hisaishi',     'Times New Roman',  32,     100,     0,  textcolor;
% 'Music 1',          'Times New Roman',   20,     15,    0,  textcolor;
% 'Korobeiniki',      'Times New Roman',  16,     10,     0,  textcolor;
% 'Russian folk song, arranged by Hirokazu Tanaka',  'Times New Roman', 32, 100, 0, textcolor; 
% 'Music 2',          'Times New Roman',  20,     15,     0,  textcolor;
% 'Unknown',          'Times New Roman',  16,     10,     0,  textcolor;
% 'Please tell me if you know the name of the song and the author',  'Times New Roman', 16, 100, 0, textcolor; 
% 'Music 3',          'Times New Roman',  20,     15,     0,  textcolor;
% 'French Suite No. 3 In B Minor, BWV 814, V. Menuett - Trio','Times New Roman', 16, 10, 0, textcolor;
% 'Johann Sebastian Bach',  'Times New Roman', 32, 100, 0, textcolor; 
% 'Credits',          'Times New Roman',  20,     15,     0,  textcolor;
% 'Piano Duel #2 (from movie "Secret)', 'Times New Roman', 16, 10, 0, textcolor;
% 'Frederic Chopin, arranged by anonymous composers',  'Times New Roman', 32, 100, 0, textcolor; 

'Special Thanks To',  'Helvetica', 24, 30, 0,textcolor;
'Keith Schneider', 'Times New Roman', 32, 20, 0, textcolor;  
'(for a very good psychtoolbox tutorial)', 'Times New Roman', 16, 30, 0, textcolor; 
'Dan Ellis', 'Times New Roman', 32, 20, 0,textcolor;
'(for the mp3read script)', 'Times New Roman', 16, 30, 0, textcolor;
'Mario Kleiner','Times New Roman', 32, 20, 0,textcolor;
'(for valuable programming tips)', 'Times New Roman', 16, 30, 0, textcolor; 
'Todd Horowitz','Times New Roman', 32, 20, 0,textcolor;
'(for his kind bug reports and various helps)', 'Times New Roman', 16, 30, 0, textcolor; 
'Curtis L. Baker, Jr.','Times New Roman', 32, 20, 0,textcolor;
'(for teaching me much about MATLAB and science)', 'Times New Roman', 16, 30, 0, textcolor; 
'Yifeng Zhou','Times New Roman', 32, 20, 0,textcolor;
'(for granting me enough time to finish the game)', 'Times New Roman', 16, 30, 0, textcolor; 
'And', 'Times New Roman', 32, 20, 0, textcolor;
'All other authors of Psychtoolbox', 'Times New Roman', 32, 100, 0, textcolor;


'This is a game in "Psychogame" collection', 'Helvetica',24, 20, 0,textcolor;
tex1, size(icon1, 2).*ResFactor(1), size(icon1, 1)./ResFactor(1).*ResFactor(2), 500, 0, textcolor;

'Brought to you by', 'Helvetica',24, 50, 0, textcolor;
'Stellari Studio', 'Helvetica', 48,0,0, textcolor;
};

text_dim = cell2mat(text(:,3:5));   % Extract the numbers and convert them to a numeric array

text_dim(:,1) = round(text_dim(:,1).* ResFactor(1));   % Multiplied by the Resolution Factor
text_dim(:,2) = round(text_dim(:,2).* ResFactor(2));          % The text size must be rounded
text_dim(:,3) = round(text_dim(:,3).* ResFactor(1));

text(:,3:5) = num2cell(text_dim);

format = 'center';
% [wav fs nbits] = wavread('d:\level9.wav');
% alSourceStop(MusicSource);
% alSourceUnqueueBuffers(MusicSource, 1);
% alSourceQueueBuffers(MusicSource, 1, CreditsMusicBuffer);
% alSourcei(MusicSource, AL.LOOPING, AL.FALSE);
% alSourcePlay(MusicSource);

textBounds = textScroll(w, text, scrollSpeed, format, winRect, [2 0]);
% 'Level9 : Piano Duel #2, from movie "Secret"', 'Times New Roman', 16, 10, 0,textcolor; 
% 'Jay Chou', 'Times New Roman', 32, 100, 0, textcolor;
% 'Level10: Piano Sonata No. 17 in D minor, aka "The Tempest", Movement 3', 'Times New Roman', 16, 10, 0,textcolor;
% 'Ludwig von Beethoven', 'Times New Roman', 32, 100, 0, textcolor;
% 'Level11: Enduring Movement, from movie "Legend of 1900"', 'Times New Roman', 16, 10, 0,textcolor;
% 'Enrico Morricone', 'Times New Roman', 32, 200, 0, textcolor;
% Screen('CloseAll')