function drawOneBlock(xy, color)
% DRAWONEBLOCK      Display one square block on screen
% Usage:
%   drawOneBlock(xy, color)
%   xy    -   [x y] of the top left coordinate relative to the origin of
%   screen
%   color   -   color of the block ('color_' + 'o', 's', 'z', 'l', 'j','i','t')

global w;

global BLOCK_SIZE;

global tex_BlockShade;

blockrect = [xy xy]+[0 0 BLOCK_SIZE];

Screen('FillRect', w, color, blockrect);

Screen('DrawTexture', w, tex_BlockShade, [], blockrect);
