function drawTetromino(blkMatrix, tetradX, tetradY, color)
% DRAWTETROMINO     - draw one tetromino at a given location (X Y in pixels)

global BLOCK_SIZE

for i = 1:4
    for j = 1:4
        if blkMatrix(i,j) ~= 0 
            x = tetradX + j.*BLOCK_SIZE(1);
            y = tetradY + i.*BLOCK_SIZE(2);
            drawOneBlock([x y], color);
        end
    end
end