function drawTetrominoPF(blkMatrix, tetradX, tetradY, color)
% DRAWTETROMINOPF     - draw one tetromino at a given location

global REFPOINT_ON_BLOCK

for i = 1:4
    for j = 1:4
        if blkMatrix(i,j) ~= 0 
            x = tetradX + j - REFPOINT_ON_BLOCK.X;
            y = tetradY + i - REFPOINT_ON_BLOCK.Y;
            drawOneBlockPF([x y], color);
        end
    end
end