function tetrisSaveData
% TETRISSAVEDATA - Save the data into the file
global PSYCHDATA
global SUBJECT_FILENAME;

fid = fopen(SUBJECT_FILENAME, 'a+'); % append, create if necessary

assignin('base','PSYCHDATA', PSYCHDATA);  % keep this in the workspace

if fid == -1
    error;
end

fprintf(fid, '-- BEGIN --\n');
fprintf(fid, 'Subject Code:     %s\n', PSYCHDATA.SUBJECTCODE);
fprintf(fid, 'Date:             %s\n', PSYCHDATA.DATE);
fprintf(fid, 'Start At:         %s\n', PSYCHDATA.STARTTIME);
fprintf(fid, 'Elapsed Time:     %.3fs\n', PSYCHDATA.ELAPSEDTIME);
fprintf(fid, 'Final Score:      %ld\n', PSYCHDATA.SCORE);
fprintf(fid, '-- END --\n');

fclose(fid);