function paddednumstr = tetrisNumPadding(number, maxdigits, paddingchar)
% TetrisNumPadding : Pad a number with zeros or other characters
% Usage:
% number: The number to be padded
% maxdigits: The digit of the number after being padded
% paddingchar: The character to be padded with

numstr = num2str(number);

numdigits = length(numstr);  % Get the digit of the number

if numdigits > maxdigits
    paddednumstr = numstr;
else

    paddednumstr = [repmat(paddingchar, 1, maxdigits - numdigits), numstr];
end

