function clearOneBlockPF(xy)
% CLEARONEBLOCK      Clear one square block on screen
% Usage:
%   drawOneBlock(xy, color)
%   xy    -   [x y] of the top left coordinate relative to the origin of
%   play field: [1 1] is the coordinate of origin

global w;

global BLOCK_SIZE;
global PF_TOPXY_INT;
global PF_BACKGROUND_COLOR;

xy = (xy - [1 1]).*BLOCK_SIZE + PF_TOPXY_INT; % convert from pf coordinate to screen coordinate

blockrect = [xy xy]+[0 0 BLOCK_SIZE];

Screen('FillRect', w, PF_BACKGROUND_COLOR, blockrect);
