function drawPFOutline
% DRAWPFOUTLINE     - Draw the outline of the play field
global w;
global PF_WIDTH_INT
global PF_HEIGHT_INT
global PF_TOPXY_INT
global BLOCK_SIZE

global color_o;
global color_i;
global color_l;
global color_j;
global color_s;
global color_z;
global color_t;
global PF_BACKGROUND_COLOR;

for i= 0:PF_HEIGHT_INT+1 
    drawOneBlockPF([0,i],color_i);
    drawOneBlockPF([PF_WIDTH_INT+1,i],color_s);
end

for i=1:PF_WIDTH_INT
    drawOneBlockPF([i,0], color_o);
    drawOneBlockPF([i,PF_HEIGHT_INT+1], color_t);
end

Screen('FillRect', w, PF_BACKGROUND_COLOR, ...
    [PF_TOPXY_INT PF_TOPXY_INT+[PF_WIDTH_INT PF_HEIGHT_INT].*BLOCK_SIZE]);
